%define upstream_name    RT-Authen-ExternalAuth
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    RT Authentication using External Sources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI::Cookie)
BuildRequires: perl(DBI)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Net::LDAP)
BuildRequires: perl(Net::SSLeay)
BuildRequires: rt
BuildArch:  noarch

%description
A complete package for adding external authentication mechanisms
to RT. It currently supports LDAP via Net::LDAP and External Database
authentication for any database with an installed DBI driver.

It also allows for authenticating cookie information against an
external database through the use of the RT-Authen-CookieAuth extension.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/rt/html
cp -r html/* $RPM_BUILD_ROOT/%{_datadir}/rt/html/
chmod uog+Xr -R $RPM_BUILD_ROOT/%{_datadir}/rt/html/

%files
%doc ChangeLog LICENSE META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*
%_datadir/rt/html/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.170.0-2.mga4
+ Revision: 529945
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 sander85 <sander85> 0.170.0-1.mga4
+ Revision: 454210
- update to 0.17

  + jquelin <jquelin>
    - update to 0.15

* Tue Jan 29 2013 nanardon <nanardon> 0.120.0-2.mga3
+ Revision: 393130
- included forgotten files

* Mon Jan 28 2013 nanardon <nanardon> 0.120.0-1.mga3
+ Revision: 393064
- buildrequires
- imported package perl-RT-Authen-ExternalAuth


* Mon Jan 28 2013 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
